# Package org.codehaus.plexus.util.introspection

Class Summary
Class | Description
--- | ---
ClassMap | A cache of introspection information for a specific class instance.
MethodMap |
ReflectionValueExtractor | Using simple dotted expressions to extract the values from an Object instance, For example we might want to extract a value like: `project.build.sourceDirectory`

Exception Summary
Exception | Description
--- | ---
MethodMap.AmbiguousException | simple distinguishable exception, used when we run across ambiguous overloading